Bug 21221 - Implement blocking errors for members/memberentry.pl
Summary: Implement blocking errors for members/memberentry.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 20661
Blocks: 21222
  Show dependency treegraph
 
Reported: 2018-08-14 19:24 UTC by Jonathan Druart
Modified: 2018-09-21 12:56 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21221: Shortcut memberentry scripts if patron does not exist (1.33 KB, patch)
2018-08-14 19:28 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21221: Shortcut memberentry scripts if patron does not exist (1.38 KB, patch)
2018-08-15 06:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21221: Shortcut memberentry scripts if patron does not exist (1.45 KB, patch)
2018-08-16 11:07 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-08-14 19:24:46 UTC

    
Comment 1 Jonathan Druart 2018-08-14 19:28:52 UTC
Created attachment 77800 [details] [review]
Bug 21221: Shortcut memberentry scripts if patron does not exist

If borrowernumber is passed and that it does not refer to a valid patron
in DB, we should not continue the script and display an error instead.

Test plan:
Create a patron
Edit a patron
=> Both should work ok
You can also test the other action memberentry.pl manage.

Edit it again but modify the borrowernumber parameter
=> You should see a friendly user message saying that the patron does
not exist.
Comment 2 Katrin Fischer 2018-08-15 06:02:21 UTC
Created attachment 77810 [details] [review]
Bug 21221: Shortcut memberentry scripts if patron does not exist

If borrowernumber is passed and that it does not refer to a valid patron
in DB, we should not continue the script and display an error instead.

Test plan:
Create a patron
Edit a patron
=> Both should work ok
You can also test the other action memberentry.pl manage.

Edit it again but modify the borrowernumber parameter
=> You should see a friendly user message saying that the patron does
not exist.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Martin Renvoize 2018-08-16 11:07:03 UTC
Created attachment 77889 [details] [review]
Bug 21221: Shortcut memberentry scripts if patron does not exist

If borrowernumber is passed and that it does not refer to a valid patron
in DB, we should not continue the script and display an error instead.

Test plan:
Create a patron
Edit a patron
=> Both should work ok
You can also test the other action memberentry.pl manage.

Edit it again but modify the borrowernumber parameter
=> You should see a friendly user message saying that the patron does
not exist.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2018-08-16 11:08:30 UTC
All seems solid, Passing QA
Comment 5 Nick Clemens 2018-08-16 14:06:20 UTC
Awesome work all!

Pushed top master for 18.11
Comment 6 Martin Renvoize 2018-08-16 14:21:40 UTC
Pushed to 18.05.x for 18.05.03
Comment 7 Fridolin SOMERS 2018-09-21 12:56:22 UTC
Depends on Bug 20661 not in 17.11.x